<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveFirst Method
Cursor Class See Also Send Feedback

Set the cursor to refer to the first key/data pair of the database, and store that pair in Current. If the first key has duplicate values, the first data item in the set of duplicates is stored in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet50 (in libdb_dotnet50.dll) Version: 5.0.21.0

# Syntax

C#

    public bool MoveFirst()

Visual Basic (Declaration)

    Public Function MoveFirst As Boolean

Visual C++

    public:
    bool MoveFirst()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MoveFirst Overload
BerkeleyDB Namespace